%define version 16.1d
%define release 1

Name: cvsup
Version: %{version}
Release: %{release}%{?_with_static:.static}
Summary: CVS-Optimized General-Purpose Network File Distribution System
Group: Development/Tools
URL: http://www.polstra.com/projects/freeware/CVSup/
Source0: cvsup-snap-%{version}.tar.gz
License: BSD
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: pm3-m3driver pm3-m3-base pm3-tempfiles pm3-ui 
BuildPreReq: pm3-formsvbtpixmaps pm3-m3back pm3-m3front pm3-m3middle 
BuildPreReq: pm3-m3objfile pm3-m3templates pm3-m3doc pm3-set pm3-formsvbt 
BuildPreReq: pm3-X11 pm3-web pm3-jvideo pm3-m3linker pm3-m3quake pm3-tcp 
BuildPreReq: pm3-vbtkit pm3-videovbt
Summary: CVS-Optimized General-Purpose Network File Distribution System client
Group: Development/Tools

%package -n cvsupd
Summary: CVS-Optimized General-Purpose Network File Distribution System server
Group: Development/Tools

%description -n cvsup
CVSup is a software package for distributing and updating collections
of files across a network. It can efficiently and accurately mirror
all types of files, including sources, binaries, hard links, symbolic
links, and even device nodes. CVSup's streaming communication protocol
and multithreaded architecture make it most likely the fastest
mirroring tool in existence today.

This package contains the cvsup client program and cvpasswd utility.

%description -n cvsupd
CVSup is a software package for distributing and updating collections
of files across a network. It can efficiently and accurately mirror
all types of files, including sources, binaries, hard links, symbolic
links, and even device nodes. CVSup's streaming communication protocol
and multithreaded architecture make it most likely the fastest
mirroring tool in existence today.

This package contains the cvsupd server program.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n cvsup-snap-16.1d

%build
make PREFIX=/usr M3FLAGS="-DNOGUI %{?_with_static: -DSTATIC}"
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp client/LINUXLIBC6/cvsup $RPM_BUILD_ROOT/usr/bin/cvsup.nogui
make SUBDIR=client clean
make PREFIX=/usr SUBDIR=client %{?_with_static: M3FLAGS=-DSTATIC}

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files -n cvsup
%defattr(-,root,root)
/usr/bin/cvpasswd
/usr/bin/cvsup
/usr/bin/cvsup.nogui
%doc /usr/man/man1/cvsup.1.gz
%doc /usr/man/man1/cvpasswd.1.gz

%files -n cvsupd
%defattr(-,root,root)
/usr/sbin/cvsupd
%doc /usr/man/man8/cvsupd.8.gz

%changelog
* Tue Sep 11 2001 David Woodhouse <dwmw2@infradead.org>
- Initial build.


